Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneDivider.VerticalDragController

    java.lang.Object
      javax.swing.plaf.basic.BasicSplitPaneDivider.DragController
          javax.swing.plaf.basic.BasicSplitPaneDivider.VerticalDragController

Enclosing class:
  BasicSplitPaneDivider

    protected class BasicSplitPaneDivider.VerticalDragController

extends BasicSplitPaneDivider.DragController

Handles the events during a dragging session for a VERTICAL_SPLIT oriented split pane. This continually messages `dragDividerTo` and then when done messages `finishDraggingTo`. When an instance is created it should be messaged with `isValid` to insure that dragging can happen (dragging won't be allowed if the two views can not be resized).

Constructor Summary
`protected` | `BasicSplitPaneDivider.VerticalDragController(MouseEvent e)`

Method Summary
`protected int` | `getNeededLocation(int x, int y)` Returns the y argument, since this is used for vertical splits.
`protected int` | `positionForMouseEvent(MouseEvent e)` Returns the new position to put the divider at based on the passed in MouseEvent.

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider.DragController
`completeDrag, completeDrag, continueDrag, continueDrag, isValid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneDivider.VerticalDragController

    protected BasicSplitPaneDivider.VerticalDragController(MouseEvent e)

Method Detail

### getNeededLocation

    protected int getNeededLocation(int x,
                                    int y)

  Returns the y argument, since this is used for vertical splits.

  Overrides:
    `getNeededLocation` in class `BasicSplitPaneDivider.DragController`

### positionForMouseEvent

    protected int positionForMouseEvent(MouseEvent e)

  Returns the new position to put the divider at based on the passed in MouseEvent.

  Overrides:
    `positionForMouseEvent` in class `BasicSplitPaneDivider.DragController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.